Rename / Move File
curl --request PATCH \
--url https://api.declaw.ai/sandboxes/{sandbox_id}/files \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"old_path": "<string>",
"new_path": "<string>",
"username": "<string>"
}
'import requests
url = "https://api.declaw.ai/sandboxes/{sandbox_id}/files"
payload = {
"old_path": "<string>",
"new_path": "<string>",
"username": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({old_path: '<string>', new_path: '<string>', username: '<string>'})
};
fetch('https://api.declaw.ai/sandboxes/{sandbox_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Filesystem API
Rename / Move File
Rename or move a file or directory inside a sandbox.
PATCH
/
sandboxes
/
{sandbox_id}
/
files
Rename / Move File
Renames or moves a file or directory from
old_path to new_path inside the
sandbox. Works for both files and directories. If new_path is in a different
directory, this is equivalent to a move.
Path Parameters
string
required
The sandbox identifier. Format:
sbx-<8 chars>.Request Body
string
required
Current absolute path of the file or directory.Example:
"/home/user/draft.py"string
required
New absolute path (destination). Parent directories must already exist.Example:
"/home/user/final.py"string
Unix user performing the rename. Defaults to the envd default user.
Response
Returns the envd rename confirmation as a JSON object.Example
curl -X PATCH https://api.declaw.ai/sandboxes/sbx-a1b2c3d4/files \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"old_path": "/home/user/draft.py",
"new_path": "/home/user/final.py"
}'
from declaw import Sandbox
sbx = Sandbox.connect("sbx-a1b2c3d4", api_key="YOUR_API_KEY", domain="api.declaw.ai")
sbx.files.rename("/home/user/draft.py", "/home/user/final.py")
import { Sandbox } from "@declaw/sdk";
const sbx = await Sandbox.connect("sbx-a1b2c3d4", {
apiKey: "YOUR_API_KEY",
domain: "api.declaw.ai",
});
await sbx.files.rename("/home/user/draft.py", "/home/user/final.py");
Error Responses
| Status | Cause |
|---|---|
400 | Invalid request body |
401 | Missing or invalid API key |
404 | Sandbox not found |
502 | envd daemon unreachable |
503 | Sandbox has no VM |
⌘I